For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
  • Transaction API
      • GETGet a list of invoices
      • POSTCreate a one-off invoice or credit invoice
      • POSTCreate a preview invoice
      • POSTSearch invoices
      • GETGet an invoice by ID
      • PATCHUpdate an invoice
      • POSTAdd a line to an invoice
      • POSTAdd a line to an invoice
      • PUTReplaces an one-off invoice line in an invoice based on the invoice line id
      • DELDelete an invoice line by ID
      • GETDeprecated. Instead use /payments to get the payments for the invoice
      • GETGet the payments made for the invoice
      • POSTDelete a line from an invoice
      • POSTSend an invoice via email.
      • POSTExport an invoice to an ERP.
      • GETGet the invoice as a PDF
      • GETGet the invoice as a UBL 2.1
      • POSTCreate a credit invoice for the provided invoice resource ID
      • POSTRefresh the invoice and get it
      • POSTRefresh the eInvoices that belong to this invoice and get the invoice itself
      • POSTRefresh the eInvoices that belong to this invoice and get the invoice itself
      • GETGet the eInvoice that was submitted to the Tax Authority
      • PATCHPatch the eInvoice that was submitted to the Tax Authority
      • POSTArchive an invoice
      • POSTCancel invoice dunning actions
      • POSTPay the invoice using customer stored payment method
      • POSTRefund a credit invoice via the original payment
  • Event API
LoginSandbox
Transaction APIInvoices

Get a list of invoices

GET
/v:version/invoices
GET
/v:version/invoices
$curl https://api.solvimon.com/v1/invoices \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "invoice_number": "string",
7 "purchase_order_number": "string",
8 "platform_id": "string",
9 "customer_id": "string",
10 "customer_reference": "string",
11 "sales_tax_percentage": "string",
12 "customer": {
13 "object_type": "string",
14 "id": "string",
15 "created_at": "string",
16 "parent_customer_id": "string",
17 "parent_customer_ids": [
18 "string"
19 ],
20 "reference": "string",
21 "status": "DRAFT",
22 "timezone": "string",
23 "type": "ORGANIZATION",
24 "email": "string",
25 "notification_preferences": [
26 {
27 "type": "INVOICE",
28 "channels": [
29 {
30 "type": "EMAIL",
31 "enabled": true
32 }
33 ]
34 }
35 ],
36 "locale": "string",
37 "individual": {
38 "name": {
39 "first_name": "string",
40 "last_name": "string",
41 "infix": "string"
42 },
43 "residential_address": {
44 "line1": "string",
45 "line2": "string",
46 "city": "string",
47 "postal_code": "string",
48 "state": "string",
49 "country": "AD"
50 }
51 },
52 "organization": {
53 "legal_name": "string",
54 "tax_id": "string",
55 "tax_ids": [
56 {
57 "id": "string",
58 "type": "GENERIC_TAX_ID",
59 "display_name": "string",
60 "tax_id_validation_result": {
61 "id": "string",
62 "validation_date": "string",
63 "source": "string",
64 "valid": "VALID",
65 "message": "string"
66 }
67 }
68 ],
69 "registration_number": "string",
70 "tax_exempt": true,
71 "tax_exempt_note": "string",
72 "registered_address": {
73 "line1": "string",
74 "line2": "string",
75 "city": "string",
76 "postal_code": "string",
77 "state": "string",
78 "country": "AD"
79 },
80 "tax_registrations": [
81 {
82 "id": "string",
83 "description": "string",
84 "tax_id": "string",
85 "tax_ids": [
86 {
87 "id": "string",
88 "type": "GENERIC_TAX_ID",
89 "display_name": "string",
90 "tax_id_validation_result": {
91 "id": "string",
92 "validation_date": "string",
93 "source": "string",
94 "valid": "VALID",
95 "message": "string"
96 }
97 }
98 ],
99 "registration_number": "string",
100 "registered_address": {
101 "line1": "string",
102 "line2": "string",
103 "city": "string",
104 "postal_code": "string",
105 "state": "string",
106 "country": "AD"
107 }
108 }
109 ]
110 },
111 "custom_fields": [
112 {
113 "id": "string",
114 "reference": "string",
115 "value": "string",
116 "values": [
117 "string"
118 ],
119 "integration_details": {
120 "id": "string",
121 "reference": "string",
122 "payment_gateway_variant": "ADYEN",
123 "adyen": {
124 "recurring_detail_reference": "string"
125 },
126 "stripe": {
127 "payment_method_id": "string"
128 }
129 }
130 }
131 ],
132 "processing_only": true,
133 "pricing_plan_subscription_selector": {
134 "data": [
135 {
136 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
137 "value": "string"
138 }
139 ],
140 "rules": [
141 {
142 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
143 "type": "EQUALS"
144 }
145 ],
146 "filters": [
147 {
148 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
149 "type": "EQUALS",
150 "value": "string"
151 }
152 ],
153 "fallback": "LATEST"
154 },
155 "linked_integrations": [
156 {
157 "id": "string",
158 "link_details": [
159 {
160 "url": "string",
161 "custom_field_name": "string"
162 }
163 ]
164 }
165 ],
166 "roles": [
167 "DEFAULT"
168 ],
169 "seller_details": {
170 "default_billing_entity_id": "string"
171 }
172 },
173 "billing_entity": {
174 "object_type": "string",
175 "id": "string",
176 "created_at": "string",
177 "reference": "string",
178 "status": "string",
179 "timezone": "string",
180 "legal_name": "string",
181 "tax_id": "string",
182 "tax_ids": [
183 {
184 "id": "string",
185 "type": "GENERIC_TAX_ID",
186 "display_name": "string",
187 "tax_id_validation_result": {
188 "id": "string",
189 "validation_date": "string",
190 "source": "string",
191 "valid": "VALID",
192 "message": "string"
193 }
194 }
195 ],
196 "registration_number": "string",
197 "registered_address": {
198 "line1": "string",
199 "line2": "string",
200 "city": "string",
201 "postal_code": "string",
202 "state": "string",
203 "country": "AD"
204 },
205 "email": "string",
206 "tax_settings": {
207 "apply_local_vat_for_missing_tax_id": true
208 },
209 "tax_registrations": [
210 {
211 "id": "string",
212 "description": "string",
213 "tax_id": "string",
214 "tax_ids": [
215 {
216 "id": "string",
217 "type": "GENERIC_TAX_ID",
218 "display_name": "string",
219 "tax_id_validation_result": {
220 "id": "string",
221 "validation_date": "string",
222 "source": "string",
223 "valid": "VALID",
224 "message": "string"
225 }
226 }
227 ],
228 "registration_number": "string",
229 "registered_address": {
230 "line1": "string",
231 "line2": "string",
232 "city": "string",
233 "postal_code": "string",
234 "state": "string",
235 "country": "AD"
236 }
237 }
238 ],
239 "custom_fields": [
240 {
241 "id": "string",
242 "reference": "string",
243 "value": "string",
244 "values": [
245 "string"
246 ],
247 "integration_details": {
248 "id": "string",
249 "reference": "string",
250 "payment_gateway_variant": "ADYEN",
251 "adyen": {
252 "recurring_detail_reference": "string"
253 },
254 "stripe": {
255 "payment_method_id": "string"
256 }
257 }
258 }
259 ],
260 "default_customer_country_selector": [
261 "AD"
262 ],
263 "default_billing_currency_selector": [
264 "AED"
265 ],
266 "linked_integrations": [
267 {
268 "id": "string",
269 "link_details": [
270 {
271 "url": "string",
272 "custom_field_name": "string"
273 }
274 ]
275 }
276 ]
277 },
278 "status": "string",
279 "on_hold": true,
280 "type": "STANDARD",
281 "created_at": "string",
282 "updated_at": "string",
283 "invoice_date": "2024-01-15T09:30:00Z",
284 "delivery_date": "string",
285 "due_date": "2024-01-15T09:30:00Z",
286 "billing_period_date": "string",
287 "billing_currency": "string",
288 "invoice_amount_including_tax": {
289 "quantity": "string",
290 "currency": "AED"
291 },
292 "open_invoice_amount": {
293 "quantity": "string",
294 "currency": "AED"
295 },
296 "closed_invoice_amount": {
297 "quantity": "string",
298 "currency": "AED"
299 },
300 "paid_invoice_amount": {
301 "quantity": "string",
302 "currency": "AED"
303 },
304 "timezone": "string",
305 "billing_period": {
306 "type": "DAY",
307 "value": 1
308 },
309 "pricing_plan_subscription_ids": [
310 "string"
311 ],
312 "pricing_amount_type": "EXCLUDING_TAX",
313 "periods": [
314 {
315 "period_order": 1,
316 "amount_excluding_tax": {
317 "quantity": "string",
318 "currency": "AED"
319 },
320 "amount_including_tax": {
321 "quantity": "string",
322 "currency": "AED"
323 },
324 "billing_period": {
325 "type": "DAY",
326 "value": 1
327 },
328 "start_at": "string",
329 "end_at": "string",
330 "tax_categories": [
331 {
332 "base_amount": {
333 "quantity": "string",
334 "currency": "AED"
335 },
336 "tax_amount": {
337 "quantity": "string",
338 "currency": "AED"
339 },
340 "total_amount": {
341 "quantity": "string",
342 "currency": "AED"
343 },
344 "category": "string",
345 "local_amounts": {
346 "base_amount": {
347 "quantity": "string",
348 "currency": "AED"
349 },
350 "tax_amount": {
351 "quantity": "string",
352 "currency": "AED"
353 },
354 "total_amount": {
355 "quantity": "string",
356 "currency": "AED"
357 },
358 "used_exchange_rate": {
359 "currency": "string",
360 "base_currency": "string",
361 "rate_timestamp": "string",
362 "rate": "string",
363 "source": "string"
364 },
365 "display": true
366 },
367 "notes": [
368 "string"
369 ],
370 "rates": [
371 {
372 "name": "string",
373 "percentage": "string",
374 "tax_amount": {
375 "quantity": "string",
376 "currency": "AED"
377 }
378 }
379 ],
380 "percentage": "string",
381 "name": "string"
382 }
383 ],
384 "groups": [
385 {
386 "group_order": 1,
387 "amount_excluding_tax": {
388 "quantity": "string",
389 "currency": "AED"
390 },
391 "amount_including_tax": {
392 "quantity": "string",
393 "currency": "AED"
394 },
395 "billing_period": {
396 "type": "DAY",
397 "value": 1
398 },
399 "start_at": "string",
400 "end_at": "string",
401 "type": "string",
402 "product_category": {
403 "object_type": "string",
404 "id": "string",
405 "name": "string",
406 "reference": "string",
407 "description": "string",
408 "tax_category": "STANDARD",
409 "display_order": 1,
410 "customer_id": "string"
411 },
412 "products": [
413 {
414 "object_type": "string",
415 "id": "string",
416 "category_id": "string",
417 "category": {
418 "object_type": "string",
419 "id": "string",
420 "name": "string",
421 "reference": "string",
422 "description": "string",
423 "tax_category": "STANDARD",
424 "display_order": 1,
425 "customer_id": "string"
426 },
427 "parent_product_id": "string",
428 "name": "string",
429 "reference": "string",
430 "description": "string",
431 "status": "DRAFT",
432 "product_type": "DEFAULT",
433 "tax_category": "STANDARD",
434 "features": [
435 {
436 "id": "string",
437 "reference": "string"
438 }
439 ],
440 "custom_fields": [
441 {
442 "id": "string",
443 "reference": "string",
444 "value": "string",
445 "values": [
446 "string"
447 ],
448 "integration_details": {
449 "id": "string",
450 "reference": "string",
451 "payment_gateway_variant": "ADYEN",
452 "adyen": {
453 "recurring_detail_reference": "string"
454 },
455 "stripe": {
456 "payment_method_id": "string"
457 }
458 }
459 }
460 ],
461 "display_order": 1,
462 "linked_integrations": [
463 {
464 "id": "string",
465 "link_details": [
466 {
467 "url": "string",
468 "custom_field_name": "string"
469 }
470 ]
471 }
472 ],
473 "billing_entity_id": "string",
474 "customer_id": "string"
475 }
476 ],
477 "pricing": {
478 "id": "string",
479 "name": "string"
480 },
481 "description": "string",
482 "pricing_plan_subscription_id": "string",
483 "pricing_plan_schedule_id": "string",
484 "forwarded_from_customer_id": "string",
485 "tax_categories": [
486 {
487 "base_amount": {
488 "quantity": "string",
489 "currency": "AED"
490 },
491 "tax_amount": {
492 "quantity": "string",
493 "currency": "AED"
494 },
495 "total_amount": {
496 "quantity": "string",
497 "currency": "AED"
498 },
499 "category": "string",
500 "local_amounts": {
501 "base_amount": {
502 "quantity": "string",
503 "currency": "AED"
504 },
505 "tax_amount": {
506 "quantity": "string",
507 "currency": "AED"
508 },
509 "total_amount": {
510 "quantity": "string",
511 "currency": "AED"
512 },
513 "used_exchange_rate": {
514 "currency": "string",
515 "base_currency": "string",
516 "rate_timestamp": "string",
517 "rate": "string",
518 "source": "string"
519 },
520 "display": true
521 },
522 "notes": [
523 "string"
524 ],
525 "rates": [
526 {
527 "name": "string",
528 "percentage": "string",
529 "tax_amount": {
530 "quantity": "string",
531 "currency": "AED"
532 }
533 }
534 ],
535 "percentage": "string",
536 "name": "string"
537 }
538 ],
539 "lines": [
540 {
541 "id": "string",
542 "line_order": 1,
543 "description": "string",
544 "pricing_item_id": "string",
545 "pricing_item_config_id": "string",
546 "product_items": [
547 {
548 "object_type": "string",
549 "id": "string",
550 "product_id": "string",
551 "product": {
552 "object_type": "string",
553 "id": "string",
554 "category_id": "string",
555 "category": {
556 "object_type": "string",
557 "id": "string",
558 "name": "string",
559 "reference": "string",
560 "description": "string",
561 "tax_category": "STANDARD",
562 "display_order": 1,
563 "customer_id": "string"
564 },
565 "parent_product_id": "string",
566 "name": "string",
567 "reference": "string",
568 "description": "string",
569 "status": "DRAFT",
570 "product_type": "DEFAULT",
571 "tax_category": "STANDARD",
572 "features": [
573 {
574 "id": "string",
575 "reference": "string"
576 }
577 ],
578 "custom_fields": [
579 {
580 "id": "string",
581 "reference": "string",
582 "value": "string",
583 "values": [
584 "string"
585 ],
586 "integration_details": {
587 "id": "string",
588 "reference": "string",
589 "payment_gateway_variant": "ADYEN",
590 "adyen": {
591 "recurring_detail_reference": "string"
592 },
593 "stripe": {
594 "payment_method_id": "string"
595 }
596 }
597 }
598 ],
599 "display_order": 1,
600 "linked_integrations": [
601 {
602 "id": "string",
603 "link_details": [
604 {
605 "url": "string",
606 "custom_field_name": "string"
607 }
608 ]
609 }
610 ],
611 "billing_entity_id": "string",
612 "customer_id": "string"
613 },
614 "name": "string",
615 "status": "DRAFT",
616 "reference": "string",
617 "description": "string",
618 "type": "REVENUE",
619 "model_type": "USAGE_BASED",
620 "usage_based": {
621 "meter_value_calculation_id": "string",
622 "meter_value_calculation": {
623 "object_type": "string",
624 "id": "string",
625 "reference": "string",
626 "name": "string",
627 "description": "string",
628 "calculation_type": "SUM",
629 "persist": true,
630 "meter_id": "string",
631 "meter": {
632 "object_type": "string",
633 "id": "string",
634 "reference": "string",
635 "name": "string",
636 "description": "string",
637 "status": "DRAFT",
638 "meter_values": [
639 {
640 "id": "string",
641 "object": {
642 "object_type": "string",
643 "id": "string",
644 "reference": "string",
645 "name": "string",
646 "description": "string",
647 "status": "DRAFT",
648 "type": "NUMBER"
649 },
650 "required": true
651 }
652 ],
653 "meter_properties": [
654 {
655 "id": "string",
656 "object": {
657 "object_type": "string",
658 "id": "string",
659 "reference": "string",
660 "name": "string",
661 "description": "string",
662 "status": "DRAFT",
663 "type": "NUMBER",
664 "enum_values": [
665 "string"
666 ]
667 },
668 "required": true
669 }
670 ]
671 },
672 "meter_value_id": "string",
673 "meter_value": {
674 "object_type": "string",
675 "id": "string",
676 "reference": "string",
677 "name": "string",
678 "description": "string",
679 "status": "DRAFT",
680 "type": "NUMBER"
681 },
682 "meter_property_id": "string",
683 "meter_property": {
684 "object_type": "string",
685 "id": "string",
686 "reference": "string",
687 "name": "string",
688 "description": "string",
689 "status": "DRAFT",
690 "type": "NUMBER",
691 "enum_values": [
692 "string"
693 ]
694 }
695 },
696 "tiering_meter_value_calculation_id": "string",
697 "tiering_meter_value_calculation": {
698 "object_type": "string",
699 "id": "string",
700 "reference": "string",
701 "name": "string",
702 "description": "string",
703 "calculation_type": "SUM",
704 "persist": true,
705 "meter_id": "string",
706 "meter": {
707 "object_type": "string",
708 "id": "string",
709 "reference": "string",
710 "name": "string",
711 "description": "string",
712 "status": "DRAFT",
713 "meter_values": [
714 {
715 "id": "string",
716 "object": {
717 "object_type": "string",
718 "id": "string",
719 "reference": "string",
720 "name": "string",
721 "description": "string",
722 "status": "DRAFT",
723 "type": "NUMBER"
724 },
725 "required": true
726 }
727 ],
728 "meter_properties": [
729 {
730 "id": "string",
731 "object": {
732 "object_type": "string",
733 "id": "string",
734 "reference": "string",
735 "name": "string",
736 "description": "string",
737 "status": "DRAFT",
738 "type": "NUMBER",
739 "enum_values": [
740 "string"
741 ]
742 },
743 "required": true
744 }
745 ]
746 },
747 "meter_value_id": "string",
748 "meter_value": {
749 "object_type": "string",
750 "id": "string",
751 "reference": "string",
752 "name": "string",
753 "description": "string",
754 "status": "DRAFT",
755 "type": "NUMBER"
756 },
757 "meter_property_id": "string",
758 "meter_property": {
759 "object_type": "string",
760 "id": "string",
761 "reference": "string",
762 "name": "string",
763 "description": "string",
764 "status": "DRAFT",
765 "type": "NUMBER",
766 "enum_values": [
767 "string"
768 ]
769 }
770 },
771 "report_meter_value_calculation_ids": [
772 "string"
773 ],
774 "conditions": {
775 "name": "string",
776 "expression": {
777 "operator": "AND",
778 "operands": [
779 {
780 "meter_property": {
781 "id": "string",
782 "reference": "string",
783 "meter_property": {
784 "object_type": "string",
785 "id": "string",
786 "reference": "string",
787 "name": "string",
788 "description": "string",
789 "status": "DRAFT",
790 "type": "NUMBER",
791 "enum_values": [
792 "string"
793 ]
794 },
795 "value": "string",
796 "values": [
797 "string"
798 ],
799 "comparator": "EQUALS"
800 },
801 "expression": {}
802 }
803 ]
804 },
805 "meter_properties": [
806 {
807 "id": "string",
808 "reference": "string",
809 "meter_property": {
810 "object_type": "string",
811 "id": "string",
812 "reference": "string",
813 "name": "string",
814 "description": "string",
815 "status": "DRAFT",
816 "type": "NUMBER",
817 "enum_values": [
818 "string"
819 ]
820 },
821 "value": "string",
822 "values": [
823 "string"
824 ],
825 "comparator": "EQUALS"
826 }
827 ]
828 }
829 },
830 "credits": {
831 "credit_type_id": "string",
832 "credit_type": {
833 "object_type": "string",
834 "id": "string",
835 "reference": "string",
836 "status": "DRAFT",
837 "name": "string",
838 "description": "string",
839 "unit_name": {
840 "singular": "string",
841 "plural": "string"
842 },
843 "created_at": "string",
844 "updated_at": "string"
845 }
846 },
847 "meter_value_calculation": {
848 "object_type": "string",
849 "id": "string",
850 "reference": "string",
851 "name": "string",
852 "description": "string",
853 "calculation_type": "SUM",
854 "persist": true,
855 "meter_id": "string",
856 "meter": {
857 "object_type": "string",
858 "id": "string",
859 "reference": "string",
860 "name": "string",
861 "description": "string",
862 "status": "DRAFT",
863 "meter_values": [
864 {
865 "id": "string",
866 "object": {
867 "object_type": "string",
868 "id": "string",
869 "reference": "string",
870 "name": "string",
871 "description": "string",
872 "status": "DRAFT",
873 "type": "NUMBER"
874 },
875 "required": true
876 }
877 ],
878 "meter_properties": [
879 {
880 "id": "string",
881 "object": {
882 "object_type": "string",
883 "id": "string",
884 "reference": "string",
885 "name": "string",
886 "description": "string",
887 "status": "DRAFT",
888 "type": "NUMBER",
889 "enum_values": [
890 "string"
891 ]
892 },
893 "required": true
894 }
895 ]
896 },
897 "meter_value_id": "string",
898 "meter_value": {
899 "object_type": "string",
900 "id": "string",
901 "reference": "string",
902 "name": "string",
903 "description": "string",
904 "status": "DRAFT",
905 "type": "NUMBER"
906 },
907 "meter_property_id": "string",
908 "meter_property": {
909 "object_type": "string",
910 "id": "string",
911 "reference": "string",
912 "name": "string",
913 "description": "string",
914 "status": "DRAFT",
915 "type": "NUMBER",
916 "enum_values": [
917 "string"
918 ]
919 }
920 },
921 "tax_category": "STANDARD",
922 "display_order": 1,
923 "unit_name": {
924 "singular": "string",
925 "plural": "string"
926 },
927 "custom_fields": [
928 {
929 "id": "string",
930 "reference": "string",
931 "value": "string",
932 "values": [
933 "string"
934 ],
935 "integration_details": {
936 "id": "string",
937 "reference": "string",
938 "payment_gateway_variant": "ADYEN",
939 "adyen": {
940 "recurring_detail_reference": "string"
941 },
942 "stripe": {
943 "payment_method_id": "string"
944 }
945 }
946 }
947 ],
948 "customer_id": "string",
949 "meter_value_calculation_id": "string",
950 "report_meter_value_calculation_ids": [
951 "string"
952 ]
953 }
954 ],
955 "type": "string",
956 "pricing_type": "string",
957 "commitment_type": "string",
958 "discount_type": "string",
959 "coupon_data": {
960 "coupon_id": "string",
961 "promotion_code_id": "string"
962 },
963 "tax_categories": [
964 {
965 "base_amount": {
966 "quantity": "string",
967 "currency": "AED"
968 },
969 "tax_amount": {
970 "quantity": "string",
971 "currency": "AED"
972 },
973 "total_amount": {
974 "quantity": "string",
975 "currency": "AED"
976 },
977 "category": "string",
978 "local_amounts": {
979 "base_amount": {
980 "quantity": "string",
981 "currency": "AED"
982 },
983 "tax_amount": {
984 "quantity": "string",
985 "currency": "AED"
986 },
987 "total_amount": {
988 "quantity": "string",
989 "currency": "AED"
990 },
991 "used_exchange_rate": {
992 "currency": "string",
993 "base_currency": "string",
994 "rate_timestamp": "string",
995 "rate": "string",
996 "source": "string"
997 },
998 "display": true
999 },
1000 "notes": [
1001 "string"
1002 ],
1003 "rates": [
1004 {
1005 "name": "string",
1006 "percentage": "string",
1007 "tax_amount": {
1008 "quantity": "string",
1009 "currency": "AED"
1010 }
1011 }
1012 ],
1013 "percentage": "string",
1014 "name": "string"
1015 }
1016 ],
1017 "amount_excluding_tax": {
1018 "quantity": "string",
1019 "currency": "AED"
1020 },
1021 "amount_including_tax": {
1022 "quantity": "string",
1023 "currency": "AED"
1024 },
1025 "conditions": {
1026 "name": "string",
1027 "expression": {
1028 "operator": "AND",
1029 "operands": [
1030 {
1031 "meter_property": {
1032 "id": "string",
1033 "reference": "string",
1034 "meter_property": {
1035 "object_type": "string",
1036 "id": "string",
1037 "reference": "string",
1038 "name": "string",
1039 "description": "string",
1040 "status": "DRAFT",
1041 "type": "NUMBER",
1042 "enum_values": [
1043 "string"
1044 ]
1045 },
1046 "value": "string",
1047 "values": [
1048 "string"
1049 ],
1050 "comparator": "EQUALS"
1051 },
1052 "expression": {}
1053 }
1054 ]
1055 },
1056 "meter_properties": [
1057 {
1058 "id": "string",
1059 "reference": "string",
1060 "meter_property": {
1061 "object_type": "string",
1062 "id": "string",
1063 "reference": "string",
1064 "name": "string",
1065 "description": "string",
1066 "status": "DRAFT",
1067 "type": "NUMBER",
1068 "enum_values": [
1069 "string"
1070 ]
1071 },
1072 "value": "string",
1073 "values": [
1074 "string"
1075 ],
1076 "comparator": "EQUALS"
1077 }
1078 ]
1079 },
1080 "meter_value": {
1081 "reference": "string",
1082 "type": "string",
1083 "number": "string",
1084 "amount": {
1085 "quantity": "string",
1086 "currency": "AED"
1087 }
1088 },
1089 "details": {
1090 "amount": {
1091 "quantity": "string",
1092 "currency": "AED"
1093 },
1094 "pricing_currency": "string",
1095 "pricing_amount": {
1096 "quantity": "string",
1097 "currency": "AED"
1098 },
1099 "conversion": {
1100 "credits": {
1101 "quantity": "string",
1102 "credit_type_id": "string"
1103 },
1104 "convert_from_meter_value_id": "string"
1105 },
1106 "band": {
1107 "amount": {
1108 "quantity": "string",
1109 "currency": "AED"
1110 },
1111 "percentage": "string",
1112 "credits": {
1113 "quantity": "string",
1114 "credit_type_id": "string"
1115 },
1116 "maximum_amount": {
1117 "quantity": "string",
1118 "currency": "AED"
1119 },
1120 "minimum_amount": {
1121 "quantity": "string",
1122 "currency": "AED"
1123 },
1124 "maximum_number": "string",
1125 "minimum_number": "string",
1126 "block_size": {
1127 "number": "string",
1128 "amount": {
1129 "quantity": "string",
1130 "currency": "AED"
1131 },
1132 "count": "string"
1133 },
1134 "tier_lower_bound": {
1135 "number": "string",
1136 "amount": {
1137 "quantity": "string",
1138 "currency": "AED"
1139 },
1140 "count": "string"
1141 },
1142 "tier_top_bound": {
1143 "number": "string",
1144 "amount": {
1145 "quantity": "string",
1146 "currency": "AED"
1147 },
1148 "count": "string"
1149 },
1150 "volume_share": "string",
1151 "included_volume": {
1152 "number": "string",
1153 "amount": {
1154 "quantity": "string",
1155 "currency": "AED"
1156 },
1157 "count": "string"
1158 }
1159 },
1160 "meter_value": {
1161 "id": "string",
1162 "reference": "string",
1163 "number": "string",
1164 "amount": {
1165 "quantity": "string",
1166 "currency": "AED"
1167 },
1168 "count": "string",
1169 "ratio": "string",
1170 "type": "NUMBER"
1171 },
1172 "tiering_meter_value": {
1173 "id": "string",
1174 "reference": "string",
1175 "number": "string",
1176 "amount": {
1177 "quantity": "string",
1178 "currency": "AED"
1179 },
1180 "count": "string",
1181 "ratio": "string",
1182 "type": "NUMBER"
1183 },
1184 "price_bound": "string",
1185 "meter_values": [
1186 {
1187 "number": "string",
1188 "amount": {
1189 "quantity": "string",
1190 "currency": "AED"
1191 },
1192 "amount_in_pricing_currency": {
1193 "quantity": "string",
1194 "currency": "AED"
1195 },
1196 "count": 1,
1197 "ratio": "string"
1198 }
1199 ],
1200 "report_meter_values": [
1201 {
1202 "meter_value_calculation_id": "string",
1203 "number": "string",
1204 "amount": {
1205 "quantity": "string",
1206 "currency": "AED"
1207 },
1208 "amount_in_pricing_currency": {
1209 "quantity": "string",
1210 "currency": "AED"
1211 },
1212 "count": "string",
1213 "ratio": "string"
1214 }
1215 ],
1216 "description": "string",
1217 "used_exchange_rates": [
1218 {
1219 "currency": "string",
1220 "base_currency": "string",
1221 "rate_timestamp": "string",
1222 "rate": "string",
1223 "source": "string"
1224 }
1225 ],
1226 "included_volume_details": {
1227 "included_volume": {
1228 "id": "string",
1229 "reference": "string",
1230 "number": "string",
1231 "amount": {
1232 "quantity": "string",
1233 "currency": "AED"
1234 },
1235 "count": "string",
1236 "ratio": "string",
1237 "type": "NUMBER"
1238 },
1239 "available_included_volume": {
1240 "id": "string",
1241 "reference": "string",
1242 "number": "string",
1243 "amount": {
1244 "quantity": "string",
1245 "currency": "AED"
1246 },
1247 "count": "string",
1248 "ratio": "string",
1249 "type": "NUMBER"
1250 },
1251 "period_volume": {
1252 "id": "string",
1253 "reference": "string",
1254 "number": "string",
1255 "amount": {
1256 "quantity": "string",
1257 "currency": "AED"
1258 },
1259 "count": "string",
1260 "ratio": "string",
1261 "type": "NUMBER"
1262 }
1263 },
1264 "wallet_balance_details": {
1265 "used_wallet_credits": {
1266 "quantity": "string",
1267 "credit_type_id": "string"
1268 },
1269 "left_wallet_credits": {
1270 "quantity": "string",
1271 "credit_type_id": "string"
1272 },
1273 "available_wallet_credits": {
1274 "quantity": "string",
1275 "credit_type_id": "string"
1276 }
1277 },
1278 "split_pricing": {
1279 "meter_properties": [
1280 {
1281 "id": "string",
1282 "reference": "string",
1283 "value": "string",
1284 "meter_property": {
1285 "object_type": "string",
1286 "id": "string",
1287 "reference": "string",
1288 "name": "string",
1289 "description": "string",
1290 "status": "DRAFT",
1291 "type": "NUMBER",
1292 "enum_values": [
1293 "string"
1294 ]
1295 }
1296 }
1297 ]
1298 },
1299 "meter_value_share_of_total": "string",
1300 "meter_value_share_of_processing_only_customer_total": "string"
1301 },
1302 "sub_lines": [
1303 {
1304 "sub_line_order": 1,
1305 "details": {
1306 "amount": {
1307 "quantity": "string",
1308 "currency": "AED"
1309 },
1310 "pricing_currency": "string",
1311 "pricing_amount": {
1312 "quantity": "string",
1313 "currency": "AED"
1314 },
1315 "conversion": {
1316 "credits": {
1317 "quantity": "string",
1318 "credit_type_id": "string"
1319 },
1320 "convert_from_meter_value_id": "string"
1321 },
1322 "band": {
1323 "amount": {
1324 "quantity": "string",
1325 "currency": "AED"
1326 },
1327 "percentage": "string",
1328 "credits": {
1329 "quantity": "string",
1330 "credit_type_id": "string"
1331 },
1332 "maximum_amount": {
1333 "quantity": "string",
1334 "currency": "AED"
1335 },
1336 "minimum_amount": {
1337 "quantity": "string",
1338 "currency": "AED"
1339 },
1340 "maximum_number": "string",
1341 "minimum_number": "string",
1342 "block_size": {
1343 "number": "string",
1344 "amount": {
1345 "quantity": "string",
1346 "currency": "AED"
1347 },
1348 "count": "string"
1349 },
1350 "tier_lower_bound": {
1351 "number": "string",
1352 "amount": {
1353 "quantity": "string",
1354 "currency": "AED"
1355 },
1356 "count": "string"
1357 },
1358 "tier_top_bound": {
1359 "number": "string",
1360 "amount": {
1361 "quantity": "string",
1362 "currency": "AED"
1363 },
1364 "count": "string"
1365 },
1366 "volume_share": "string",
1367 "included_volume": {
1368 "number": "string",
1369 "amount": {
1370 "quantity": "string",
1371 "currency": "AED"
1372 },
1373 "count": "string"
1374 }
1375 },
1376 "meter_value": {
1377 "id": "string",
1378 "reference": "string",
1379 "number": "string",
1380 "amount": {
1381 "quantity": "string",
1382 "currency": "AED"
1383 },
1384 "count": "string",
1385 "ratio": "string",
1386 "type": "NUMBER"
1387 },
1388 "tiering_meter_value": {
1389 "id": "string",
1390 "reference": "string",
1391 "number": "string",
1392 "amount": {
1393 "quantity": "string",
1394 "currency": "AED"
1395 },
1396 "count": "string",
1397 "ratio": "string",
1398 "type": "NUMBER"
1399 },
1400 "price_bound": "string",
1401 "meter_values": [
1402 {
1403 "number": "string",
1404 "amount": {
1405 "quantity": "string",
1406 "currency": "AED"
1407 },
1408 "amount_in_pricing_currency": {
1409 "quantity": "string",
1410 "currency": "AED"
1411 },
1412 "count": 1,
1413 "ratio": "string"
1414 }
1415 ],
1416 "report_meter_values": [
1417 {
1418 "meter_value_calculation_id": "string",
1419 "number": "string",
1420 "amount": {
1421 "quantity": "string",
1422 "currency": "AED"
1423 },
1424 "amount_in_pricing_currency": {
1425 "quantity": "string",
1426 "currency": "AED"
1427 },
1428 "count": "string",
1429 "ratio": "string"
1430 }
1431 ],
1432 "description": "string",
1433 "used_exchange_rates": [
1434 {
1435 "currency": "string",
1436 "base_currency": "string",
1437 "rate_timestamp": "string",
1438 "rate": "string",
1439 "source": "string"
1440 }
1441 ],
1442 "included_volume_details": {
1443 "included_volume": {
1444 "id": "string",
1445 "reference": "string",
1446 "number": "string",
1447 "amount": {
1448 "quantity": "string",
1449 "currency": "AED"
1450 },
1451 "count": "string",
1452 "ratio": "string",
1453 "type": "NUMBER"
1454 },
1455 "available_included_volume": {
1456 "id": "string",
1457 "reference": "string",
1458 "number": "string",
1459 "amount": {
1460 "quantity": "string",
1461 "currency": "AED"
1462 },
1463 "count": "string",
1464 "ratio": "string",
1465 "type": "NUMBER"
1466 },
1467 "period_volume": {
1468 "id": "string",
1469 "reference": "string",
1470 "number": "string",
1471 "amount": {
1472 "quantity": "string",
1473 "currency": "AED"
1474 },
1475 "count": "string",
1476 "ratio": "string",
1477 "type": "NUMBER"
1478 }
1479 },
1480 "wallet_balance_details": {
1481 "used_wallet_credits": {
1482 "quantity": "string",
1483 "credit_type_id": "string"
1484 },
1485 "left_wallet_credits": {
1486 "quantity": "string",
1487 "credit_type_id": "string"
1488 },
1489 "available_wallet_credits": {
1490 "quantity": "string",
1491 "credit_type_id": "string"
1492 }
1493 },
1494 "split_pricing": {
1495 "meter_properties": [
1496 {
1497 "id": "string",
1498 "reference": "string",
1499 "value": "string",
1500 "meter_property": {
1501 "object_type": "string",
1502 "id": "string",
1503 "reference": "string",
1504 "name": "string",
1505 "description": "string",
1506 "status": "DRAFT",
1507 "type": "NUMBER",
1508 "enum_values": [
1509 "string"
1510 ]
1511 }
1512 }
1513 ]
1514 },
1515 "meter_value_share_of_total": "string",
1516 "meter_value_share_of_processing_only_customer_total": "string"
1517 },
1518 "description": "string",
1519 "processing_only_customer_id": "string",
1520 "type": "USAGE_BASED_CONVERSION",
1521 "usage_based_conversion": {
1522 "conditions": {
1523 "name": "string",
1524 "expression": {
1525 "operator": "AND",
1526 "operands": [
1527 {
1528 "meter_property": {
1529 "id": "string",
1530 "reference": "string",
1531 "meter_property": {
1532 "object_type": "string",
1533 "id": "string",
1534 "reference": "string",
1535 "name": "string",
1536 "description": "string",
1537 "status": "DRAFT",
1538 "type": "NUMBER",
1539 "enum_values": [
1540 "string"
1541 ]
1542 },
1543 "value": "string",
1544 "values": [
1545 "string"
1546 ],
1547 "comparator": "EQUALS"
1548 },
1549 "expression": {}
1550 }
1551 ]
1552 },
1553 "meter_properties": [
1554 {
1555 "id": "string",
1556 "reference": "string",
1557 "meter_property": {
1558 "object_type": "string",
1559 "id": "string",
1560 "reference": "string",
1561 "name": "string",
1562 "description": "string",
1563 "status": "DRAFT",
1564 "type": "NUMBER",
1565 "enum_values": [
1566 "string"
1567 ]
1568 },
1569 "value": "string",
1570 "values": [
1571 "string"
1572 ],
1573 "comparator": "EQUALS"
1574 }
1575 ]
1576 }
1577 },
1578 "processing_only_customer_resource_id": "string"
1579 }
1580 ]
1581 }
1582 ],
1583 "billing_customer_id": "string"
1584 }
1585 ]
1586 }
1587 ],
1588 "closed_periods": [
1589 {
1590 "period_order": 1,
1591 "amount_excluding_tax": {
1592 "quantity": "string",
1593 "currency": "AED"
1594 },
1595 "amount_including_tax": {
1596 "quantity": "string",
1597 "currency": "AED"
1598 },
1599 "billing_period": {
1600 "type": "DAY",
1601 "value": 1
1602 },
1603 "start_at": "string",
1604 "end_at": "string",
1605 "tax_categories": [
1606 {
1607 "base_amount": {
1608 "quantity": "string",
1609 "currency": "AED"
1610 },
1611 "tax_amount": {
1612 "quantity": "string",
1613 "currency": "AED"
1614 },
1615 "total_amount": {
1616 "quantity": "string",
1617 "currency": "AED"
1618 },
1619 "category": "string",
1620 "local_amounts": {
1621 "base_amount": {
1622 "quantity": "string",
1623 "currency": "AED"
1624 },
1625 "tax_amount": {
1626 "quantity": "string",
1627 "currency": "AED"
1628 },
1629 "total_amount": {
1630 "quantity": "string",
1631 "currency": "AED"
1632 },
1633 "used_exchange_rate": {
1634 "currency": "string",
1635 "base_currency": "string",
1636 "rate_timestamp": "string",
1637 "rate": "string",
1638 "source": "string"
1639 },
1640 "display": true
1641 },
1642 "notes": [
1643 "string"
1644 ],
1645 "rates": [
1646 {
1647 "name": "string",
1648 "percentage": "string",
1649 "tax_amount": {
1650 "quantity": "string",
1651 "currency": "AED"
1652 }
1653 }
1654 ],
1655 "percentage": "string",
1656 "name": "string"
1657 }
1658 ],
1659 "groups": [
1660 {
1661 "group_order": 1,
1662 "amount_excluding_tax": {
1663 "quantity": "string",
1664 "currency": "AED"
1665 },
1666 "amount_including_tax": {
1667 "quantity": "string",
1668 "currency": "AED"
1669 },
1670 "billing_period": {
1671 "type": "DAY",
1672 "value": 1
1673 },
1674 "start_at": "string",
1675 "end_at": "string",
1676 "type": "string",
1677 "product_category": {
1678 "object_type": "string",
1679 "id": "string",
1680 "name": "string",
1681 "reference": "string",
1682 "description": "string",
1683 "tax_category": "STANDARD",
1684 "display_order": 1,
1685 "customer_id": "string"
1686 },
1687 "products": [
1688 {
1689 "object_type": "string",
1690 "id": "string",
1691 "category_id": "string",
1692 "category": {
1693 "object_type": "string",
1694 "id": "string",
1695 "name": "string",
1696 "reference": "string",
1697 "description": "string",
1698 "tax_category": "STANDARD",
1699 "display_order": 1,
1700 "customer_id": "string"
1701 },
1702 "parent_product_id": "string",
1703 "name": "string",
1704 "reference": "string",
1705 "description": "string",
1706 "status": "DRAFT",
1707 "product_type": "DEFAULT",
1708 "tax_category": "STANDARD",
1709 "features": [
1710 {
1711 "id": "string",
1712 "reference": "string"
1713 }
1714 ],
1715 "custom_fields": [
1716 {
1717 "id": "string",
1718 "reference": "string",
1719 "value": "string",
1720 "values": [
1721 "string"
1722 ],
1723 "integration_details": {
1724 "id": "string",
1725 "reference": "string",
1726 "payment_gateway_variant": "ADYEN",
1727 "adyen": {
1728 "recurring_detail_reference": "string"
1729 },
1730 "stripe": {
1731 "payment_method_id": "string"
1732 }
1733 }
1734 }
1735 ],
1736 "display_order": 1,
1737 "linked_integrations": [
1738 {
1739 "id": "string",
1740 "link_details": [
1741 {
1742 "url": "string",
1743 "custom_field_name": "string"
1744 }
1745 ]
1746 }
1747 ],
1748 "billing_entity_id": "string",
1749 "customer_id": "string"
1750 }
1751 ],
1752 "pricing": {
1753 "id": "string",
1754 "name": "string"
1755 },
1756 "description": "string",
1757 "pricing_plan_subscription_id": "string",
1758 "pricing_plan_schedule_id": "string",
1759 "forwarded_from_customer_id": "string",
1760 "tax_categories": [
1761 {
1762 "base_amount": {
1763 "quantity": "string",
1764 "currency": "AED"
1765 },
1766 "tax_amount": {
1767 "quantity": "string",
1768 "currency": "AED"
1769 },
1770 "total_amount": {
1771 "quantity": "string",
1772 "currency": "AED"
1773 },
1774 "category": "string",
1775 "local_amounts": {
1776 "base_amount": {
1777 "quantity": "string",
1778 "currency": "AED"
1779 },
1780 "tax_amount": {
1781 "quantity": "string",
1782 "currency": "AED"
1783 },
1784 "total_amount": {
1785 "quantity": "string",
1786 "currency": "AED"
1787 },
1788 "used_exchange_rate": {
1789 "currency": "string",
1790 "base_currency": "string",
1791 "rate_timestamp": "string",
1792 "rate": "string",
1793 "source": "string"
1794 },
1795 "display": true
1796 },
1797 "notes": [
1798 "string"
1799 ],
1800 "rates": [
1801 {
1802 "name": "string",
1803 "percentage": "string",
1804 "tax_amount": {
1805 "quantity": "string",
1806 "currency": "AED"
1807 }
1808 }
1809 ],
1810 "percentage": "string",
1811 "name": "string"
1812 }
1813 ],
1814 "lines": [
1815 {
1816 "id": "string",
1817 "line_order": 1,
1818 "description": "string",
1819 "pricing_item_id": "string",
1820 "pricing_item_config_id": "string",
1821 "product_items": [
1822 {
1823 "object_type": "string",
1824 "id": "string",
1825 "product_id": "string",
1826 "product": {
1827 "object_type": "string",
1828 "id": "string",
1829 "category_id": "string",
1830 "category": {
1831 "object_type": "string",
1832 "id": "string",
1833 "name": "string",
1834 "reference": "string",
1835 "description": "string",
1836 "tax_category": "STANDARD",
1837 "display_order": 1,
1838 "customer_id": "string"
1839 },
1840 "parent_product_id": "string",
1841 "name": "string",
1842 "reference": "string",
1843 "description": "string",
1844 "status": "DRAFT",
1845 "product_type": "DEFAULT",
1846 "tax_category": "STANDARD",
1847 "features": [
1848 {
1849 "id": "string",
1850 "reference": "string"
1851 }
1852 ],
1853 "custom_fields": [
1854 {
1855 "id": "string",
1856 "reference": "string",
1857 "value": "string",
1858 "values": [
1859 "string"
1860 ],
1861 "integration_details": {
1862 "id": "string",
1863 "reference": "string",
1864 "payment_gateway_variant": "ADYEN",
1865 "adyen": {
1866 "recurring_detail_reference": "string"
1867 },
1868 "stripe": {
1869 "payment_method_id": "string"
1870 }
1871 }
1872 }
1873 ],
1874 "display_order": 1,
1875 "linked_integrations": [
1876 {
1877 "id": "string",
1878 "link_details": [
1879 {
1880 "url": "string",
1881 "custom_field_name": "string"
1882 }
1883 ]
1884 }
1885 ],
1886 "billing_entity_id": "string",
1887 "customer_id": "string"
1888 },
1889 "name": "string",
1890 "status": "DRAFT",
1891 "reference": "string",
1892 "description": "string",
1893 "type": "REVENUE",
1894 "model_type": "USAGE_BASED",
1895 "usage_based": {
1896 "meter_value_calculation_id": "string",
1897 "meter_value_calculation": {
1898 "object_type": "string",
1899 "id": "string",
1900 "reference": "string",
1901 "name": "string",
1902 "description": "string",
1903 "calculation_type": "SUM",
1904 "persist": true,
1905 "meter_id": "string",
1906 "meter": {
1907 "object_type": "string",
1908 "id": "string",
1909 "reference": "string",
1910 "name": "string",
1911 "description": "string",
1912 "status": "DRAFT",
1913 "meter_values": [
1914 {
1915 "id": "string",
1916 "object": {
1917 "object_type": "string",
1918 "id": "string",
1919 "reference": "string",
1920 "name": "string",
1921 "description": "string",
1922 "status": "DRAFT",
1923 "type": "NUMBER"
1924 },
1925 "required": true
1926 }
1927 ],
1928 "meter_properties": [
1929 {
1930 "id": "string",
1931 "object": {
1932 "object_type": "string",
1933 "id": "string",
1934 "reference": "string",
1935 "name": "string",
1936 "description": "string",
1937 "status": "DRAFT",
1938 "type": "NUMBER",
1939 "enum_values": [
1940 "string"
1941 ]
1942 },
1943 "required": true
1944 }
1945 ]
1946 },
1947 "meter_value_id": "string",
1948 "meter_value": {
1949 "object_type": "string",
1950 "id": "string",
1951 "reference": "string",
1952 "name": "string",
1953 "description": "string",
1954 "status": "DRAFT",
1955 "type": "NUMBER"
1956 },
1957 "meter_property_id": "string",
1958 "meter_property": {
1959 "object_type": "string",
1960 "id": "string",
1961 "reference": "string",
1962 "name": "string",
1963 "description": "string",
1964 "status": "DRAFT",
1965 "type": "NUMBER",
1966 "enum_values": [
1967 "string"
1968 ]
1969 }
1970 },
1971 "tiering_meter_value_calculation_id": "string",
1972 "tiering_meter_value_calculation": {
1973 "object_type": "string",
1974 "id": "string",
1975 "reference": "string",
1976 "name": "string",
1977 "description": "string",
1978 "calculation_type": "SUM",
1979 "persist": true,
1980 "meter_id": "string",
1981 "meter": {
1982 "object_type": "string",
1983 "id": "string",
1984 "reference": "string",
1985 "name": "string",
1986 "description": "string",
1987 "status": "DRAFT",
1988 "meter_values": [
1989 {
1990 "id": "string",
1991 "object": {
1992 "object_type": "string",
1993 "id": "string",
1994 "reference": "string",
1995 "name": "string",
1996 "description": "string",
1997 "status": "DRAFT",
1998 "type": "NUMBER"
1999 },
2000 "required": true
2001 }
2002 ],
2003 "meter_properties": [
2004 {
2005 "id": "string",
2006 "object": {
2007 "object_type": "string",
2008 "id": "string",
2009 "reference": "string",
2010 "name": "string",
2011 "description": "string",
2012 "status": "DRAFT",
2013 "type": "NUMBER",
2014 "enum_values": [
2015 "string"
2016 ]
2017 },
2018 "required": true
2019 }
2020 ]
2021 },
2022 "meter_value_id": "string",
2023 "meter_value": {
2024 "object_type": "string",
2025 "id": "string",
2026 "reference": "string",
2027 "name": "string",
2028 "description": "string",
2029 "status": "DRAFT",
2030 "type": "NUMBER"
2031 },
2032 "meter_property_id": "string",
2033 "meter_property": {
2034 "object_type": "string",
2035 "id": "string",
2036 "reference": "string",
2037 "name": "string",
2038 "description": "string",
2039 "status": "DRAFT",
2040 "type": "NUMBER",
2041 "enum_values": [
2042 "string"
2043 ]
2044 }
2045 },
2046 "report_meter_value_calculation_ids": [
2047 "string"
2048 ],
2049 "conditions": {
2050 "name": "string",
2051 "expression": {
2052 "operator": "AND",
2053 "operands": [
2054 {
2055 "meter_property": {
2056 "id": "string",
2057 "reference": "string",
2058 "meter_property": {
2059 "object_type": "string",
2060 "id": "string",
2061 "reference": "string",
2062 "name": "string",
2063 "description": "string",
2064 "status": "DRAFT",
2065 "type": "NUMBER",
2066 "enum_values": [
2067 "string"
2068 ]
2069 },
2070 "value": "string",
2071 "values": [
2072 "string"
2073 ],
2074 "comparator": "EQUALS"
2075 },
2076 "expression": {}
2077 }
2078 ]
2079 },
2080 "meter_properties": [
2081 {
2082 "id": "string",
2083 "reference": "string",
2084 "meter_property": {
2085 "object_type": "string",
2086 "id": "string",
2087 "reference": "string",
2088 "name": "string",
2089 "description": "string",
2090 "status": "DRAFT",
2091 "type": "NUMBER",
2092 "enum_values": [
2093 "string"
2094 ]
2095 },
2096 "value": "string",
2097 "values": [
2098 "string"
2099 ],
2100 "comparator": "EQUALS"
2101 }
2102 ]
2103 }
2104 },
2105 "credits": {
2106 "credit_type_id": "string",
2107 "credit_type": {
2108 "object_type": "string",
2109 "id": "string",
2110 "reference": "string",
2111 "status": "DRAFT",
2112 "name": "string",
2113 "description": "string",
2114 "unit_name": {
2115 "singular": "string",
2116 "plural": "string"
2117 },
2118 "created_at": "string",
2119 "updated_at": "string"
2120 }
2121 },
2122 "meter_value_calculation": {
2123 "object_type": "string",
2124 "id": "string",
2125 "reference": "string",
2126 "name": "string",
2127 "description": "string",
2128 "calculation_type": "SUM",
2129 "persist": true,
2130 "meter_id": "string",
2131 "meter": {
2132 "object_type": "string",
2133 "id": "string",
2134 "reference": "string",
2135 "name": "string",
2136 "description": "string",
2137 "status": "DRAFT",
2138 "meter_values": [
2139 {
2140 "id": "string",
2141 "object": {
2142 "object_type": "string",
2143 "id": "string",
2144 "reference": "string",
2145 "name": "string",
2146 "description": "string",
2147 "status": "DRAFT",
2148 "type": "NUMBER"
2149 },
2150 "required": true
2151 }
2152 ],
2153 "meter_properties": [
2154 {
2155 "id": "string",
2156 "object": {
2157 "object_type": "string",
2158 "id": "string",
2159 "reference": "string",
2160 "name": "string",
2161 "description": "string",
2162 "status": "DRAFT",
2163 "type": "NUMBER",
2164 "enum_values": [
2165 "string"
2166 ]
2167 },
2168 "required": true
2169 }
2170 ]
2171 },
2172 "meter_value_id": "string",
2173 "meter_value": {
2174 "object_type": "string",
2175 "id": "string",
2176 "reference": "string",
2177 "name": "string",
2178 "description": "string",
2179 "status": "DRAFT",
2180 "type": "NUMBER"
2181 },
2182 "meter_property_id": "string",
2183 "meter_property": {
2184 "object_type": "string",
2185 "id": "string",
2186 "reference": "string",
2187 "name": "string",
2188 "description": "string",
2189 "status": "DRAFT",
2190 "type": "NUMBER",
2191 "enum_values": [
2192 "string"
2193 ]
2194 }
2195 },
2196 "tax_category": "STANDARD",
2197 "display_order": 1,
2198 "unit_name": {
2199 "singular": "string",
2200 "plural": "string"
2201 },
2202 "custom_fields": [
2203 {
2204 "id": "string",
2205 "reference": "string",
2206 "value": "string",
2207 "values": [
2208 "string"
2209 ],
2210 "integration_details": {
2211 "id": "string",
2212 "reference": "string",
2213 "payment_gateway_variant": "ADYEN",
2214 "adyen": {
2215 "recurring_detail_reference": "string"
2216 },
2217 "stripe": {
2218 "payment_method_id": "string"
2219 }
2220 }
2221 }
2222 ],
2223 "customer_id": "string",
2224 "meter_value_calculation_id": "string",
2225 "report_meter_value_calculation_ids": [
2226 "string"
2227 ]
2228 }
2229 ],
2230 "type": "string",
2231 "pricing_type": "string",
2232 "commitment_type": "string",
2233 "discount_type": "string",
2234 "coupon_data": {
2235 "coupon_id": "string",
2236 "promotion_code_id": "string"
2237 },
2238 "tax_categories": [
2239 {
2240 "base_amount": {
2241 "quantity": "string",
2242 "currency": "AED"
2243 },
2244 "tax_amount": {
2245 "quantity": "string",
2246 "currency": "AED"
2247 },
2248 "total_amount": {
2249 "quantity": "string",
2250 "currency": "AED"
2251 },
2252 "category": "string",
2253 "local_amounts": {
2254 "base_amount": {
2255 "quantity": "string",
2256 "currency": "AED"
2257 },
2258 "tax_amount": {
2259 "quantity": "string",
2260 "currency": "AED"
2261 },
2262 "total_amount": {
2263 "quantity": "string",
2264 "currency": "AED"
2265 },
2266 "used_exchange_rate": {
2267 "currency": "string",
2268 "base_currency": "string",
2269 "rate_timestamp": "string",
2270 "rate": "string",
2271 "source": "string"
2272 },
2273 "display": true
2274 },
2275 "notes": [
2276 "string"
2277 ],
2278 "rates": [
2279 {
2280 "name": "string",
2281 "percentage": "string",
2282 "tax_amount": {
2283 "quantity": "string",
2284 "currency": "AED"
2285 }
2286 }
2287 ],
2288 "percentage": "string",
2289 "name": "string"
2290 }
2291 ],
2292 "amount_excluding_tax": {
2293 "quantity": "string",
2294 "currency": "AED"
2295 },
2296 "amount_including_tax": {
2297 "quantity": "string",
2298 "currency": "AED"
2299 },
2300 "conditions": {
2301 "name": "string",
2302 "expression": {
2303 "operator": "AND",
2304 "operands": [
2305 {
2306 "meter_property": {
2307 "id": "string",
2308 "reference": "string",
2309 "meter_property": {
2310 "object_type": "string",
2311 "id": "string",
2312 "reference": "string",
2313 "name": "string",
2314 "description": "string",
2315 "status": "DRAFT",
2316 "type": "NUMBER",
2317 "enum_values": [
2318 "string"
2319 ]
2320 },
2321 "value": "string",
2322 "values": [
2323 "string"
2324 ],
2325 "comparator": "EQUALS"
2326 },
2327 "expression": {}
2328 }
2329 ]
2330 },
2331 "meter_properties": [
2332 {
2333 "id": "string",
2334 "reference": "string",
2335 "meter_property": {
2336 "object_type": "string",
2337 "id": "string",
2338 "reference": "string",
2339 "name": "string",
2340 "description": "string",
2341 "status": "DRAFT",
2342 "type": "NUMBER",
2343 "enum_values": [
2344 "string"
2345 ]
2346 },
2347 "value": "string",
2348 "values": [
2349 "string"
2350 ],
2351 "comparator": "EQUALS"
2352 }
2353 ]
2354 },
2355 "meter_value": {
2356 "reference": "string",
2357 "type": "string",
2358 "number": "string",
2359 "amount": {
2360 "quantity": "string",
2361 "currency": "AED"
2362 }
2363 },
2364 "details": {
2365 "amount": {
2366 "quantity": "string",
2367 "currency": "AED"
2368 },
2369 "pricing_currency": "string",
2370 "pricing_amount": {
2371 "quantity": "string",
2372 "currency": "AED"
2373 },
2374 "conversion": {
2375 "credits": {
2376 "quantity": "string",
2377 "credit_type_id": "string"
2378 },
2379 "convert_from_meter_value_id": "string"
2380 },
2381 "band": {
2382 "amount": {
2383 "quantity": "string",
2384 "currency": "AED"
2385 },
2386 "percentage": "string",
2387 "credits": {
2388 "quantity": "string",
2389 "credit_type_id": "string"
2390 },
2391 "maximum_amount": {
2392 "quantity": "string",
2393 "currency": "AED"
2394 },
2395 "minimum_amount": {
2396 "quantity": "string",
2397 "currency": "AED"
2398 },
2399 "maximum_number": "string",
2400 "minimum_number": "string",
2401 "block_size": {
2402 "number": "string",
2403 "amount": {
2404 "quantity": "string",
2405 "currency": "AED"
2406 },
2407 "count": "string"
2408 },
2409 "tier_lower_bound": {
2410 "number": "string",
2411 "amount": {
2412 "quantity": "string",
2413 "currency": "AED"
2414 },
2415 "count": "string"
2416 },
2417 "tier_top_bound": {
2418 "number": "string",
2419 "amount": {
2420 "quantity": "string",
2421 "currency": "AED"
2422 },
2423 "count": "string"
2424 },
2425 "volume_share": "string",
2426 "included_volume": {
2427 "number": "string",
2428 "amount": {
2429 "quantity": "string",
2430 "currency": "AED"
2431 },
2432 "count": "string"
2433 }
2434 },
2435 "meter_value": {
2436 "id": "string",
2437 "reference": "string",
2438 "number": "string",
2439 "amount": {
2440 "quantity": "string",
2441 "currency": "AED"
2442 },
2443 "count": "string",
2444 "ratio": "string",
2445 "type": "NUMBER"
2446 },
2447 "tiering_meter_value": {
2448 "id": "string",
2449 "reference": "string",
2450 "number": "string",
2451 "amount": {
2452 "quantity": "string",
2453 "currency": "AED"
2454 },
2455 "count": "string",
2456 "ratio": "string",
2457 "type": "NUMBER"
2458 },
2459 "price_bound": "string",
2460 "meter_values": [
2461 {
2462 "number": "string",
2463 "amount": {
2464 "quantity": "string",
2465 "currency": "AED"
2466 },
2467 "amount_in_pricing_currency": {
2468 "quantity": "string",
2469 "currency": "AED"
2470 },
2471 "count": 1,
2472 "ratio": "string"
2473 }
2474 ],
2475 "report_meter_values": [
2476 {
2477 "meter_value_calculation_id": "string",
2478 "number": "string",
2479 "amount": {
2480 "quantity": "string",
2481 "currency": "AED"
2482 },
2483 "amount_in_pricing_currency": {
2484 "quantity": "string",
2485 "currency": "AED"
2486 },
2487 "count": "string",
2488 "ratio": "string"
2489 }
2490 ],
2491 "description": "string",
2492 "used_exchange_rates": [
2493 {
2494 "currency": "string",
2495 "base_currency": "string",
2496 "rate_timestamp": "string",
2497 "rate": "string",
2498 "source": "string"
2499 }
2500 ],
2501 "included_volume_details": {
2502 "included_volume": {
2503 "id": "string",
2504 "reference": "string",
2505 "number": "string",
2506 "amount": {
2507 "quantity": "string",
2508 "currency": "AED"
2509 },
2510 "count": "string",
2511 "ratio": "string",
2512 "type": "NUMBER"
2513 },
2514 "available_included_volume": {
2515 "id": "string",
2516 "reference": "string",
2517 "number": "string",
2518 "amount": {
2519 "quantity": "string",
2520 "currency": "AED"
2521 },
2522 "count": "string",
2523 "ratio": "string",
2524 "type": "NUMBER"
2525 },
2526 "period_volume": {
2527 "id": "string",
2528 "reference": "string",
2529 "number": "string",
2530 "amount": {
2531 "quantity": "string",
2532 "currency": "AED"
2533 },
2534 "count": "string",
2535 "ratio": "string",
2536 "type": "NUMBER"
2537 }
2538 },
2539 "wallet_balance_details": {
2540 "used_wallet_credits": {
2541 "quantity": "string",
2542 "credit_type_id": "string"
2543 },
2544 "left_wallet_credits": {
2545 "quantity": "string",
2546 "credit_type_id": "string"
2547 },
2548 "available_wallet_credits": {
2549 "quantity": "string",
2550 "credit_type_id": "string"
2551 }
2552 },
2553 "split_pricing": {
2554 "meter_properties": [
2555 {
2556 "id": "string",
2557 "reference": "string",
2558 "value": "string",
2559 "meter_property": {
2560 "object_type": "string",
2561 "id": "string",
2562 "reference": "string",
2563 "name": "string",
2564 "description": "string",
2565 "status": "DRAFT",
2566 "type": "NUMBER",
2567 "enum_values": [
2568 "string"
2569 ]
2570 }
2571 }
2572 ]
2573 },
2574 "meter_value_share_of_total": "string",
2575 "meter_value_share_of_processing_only_customer_total": "string"
2576 },
2577 "sub_lines": [
2578 {
2579 "sub_line_order": 1,
2580 "details": {
2581 "amount": {
2582 "quantity": "string",
2583 "currency": "AED"
2584 },
2585 "pricing_currency": "string",
2586 "pricing_amount": {
2587 "quantity": "string",
2588 "currency": "AED"
2589 },
2590 "conversion": {
2591 "credits": {
2592 "quantity": "string",
2593 "credit_type_id": "string"
2594 },
2595 "convert_from_meter_value_id": "string"
2596 },
2597 "band": {
2598 "amount": {
2599 "quantity": "string",
2600 "currency": "AED"
2601 },
2602 "percentage": "string",
2603 "credits": {
2604 "quantity": "string",
2605 "credit_type_id": "string"
2606 },
2607 "maximum_amount": {
2608 "quantity": "string",
2609 "currency": "AED"
2610 },
2611 "minimum_amount": {
2612 "quantity": "string",
2613 "currency": "AED"
2614 },
2615 "maximum_number": "string",
2616 "minimum_number": "string",
2617 "block_size": {
2618 "number": "string",
2619 "amount": {
2620 "quantity": "string",
2621 "currency": "AED"
2622 },
2623 "count": "string"
2624 },
2625 "tier_lower_bound": {
2626 "number": "string",
2627 "amount": {
2628 "quantity": "string",
2629 "currency": "AED"
2630 },
2631 "count": "string"
2632 },
2633 "tier_top_bound": {
2634 "number": "string",
2635 "amount": {
2636 "quantity": "string",
2637 "currency": "AED"
2638 },
2639 "count": "string"
2640 },
2641 "volume_share": "string",
2642 "included_volume": {
2643 "number": "string",
2644 "amount": {
2645 "quantity": "string",
2646 "currency": "AED"
2647 },
2648 "count": "string"
2649 }
2650 },
2651 "meter_value": {
2652 "id": "string",
2653 "reference": "string",
2654 "number": "string",
2655 "amount": {
2656 "quantity": "string",
2657 "currency": "AED"
2658 },
2659 "count": "string",
2660 "ratio": "string",
2661 "type": "NUMBER"
2662 },
2663 "tiering_meter_value": {
2664 "id": "string",
2665 "reference": "string",
2666 "number": "string",
2667 "amount": {
2668 "quantity": "string",
2669 "currency": "AED"
2670 },
2671 "count": "string",
2672 "ratio": "string",
2673 "type": "NUMBER"
2674 },
2675 "price_bound": "string",
2676 "meter_values": [
2677 {
2678 "number": "string",
2679 "amount": {
2680 "quantity": "string",
2681 "currency": "AED"
2682 },
2683 "amount_in_pricing_currency": {
2684 "quantity": "string",
2685 "currency": "AED"
2686 },
2687 "count": 1,
2688 "ratio": "string"
2689 }
2690 ],
2691 "report_meter_values": [
2692 {
2693 "meter_value_calculation_id": "string",
2694 "number": "string",
2695 "amount": {
2696 "quantity": "string",
2697 "currency": "AED"
2698 },
2699 "amount_in_pricing_currency": {
2700 "quantity": "string",
2701 "currency": "AED"
2702 },
2703 "count": "string",
2704 "ratio": "string"
2705 }
2706 ],
2707 "description": "string",
2708 "used_exchange_rates": [
2709 {
2710 "currency": "string",
2711 "base_currency": "string",
2712 "rate_timestamp": "string",
2713 "rate": "string",
2714 "source": "string"
2715 }
2716 ],
2717 "included_volume_details": {
2718 "included_volume": {
2719 "id": "string",
2720 "reference": "string",
2721 "number": "string",
2722 "amount": {
2723 "quantity": "string",
2724 "currency": "AED"
2725 },
2726 "count": "string",
2727 "ratio": "string",
2728 "type": "NUMBER"
2729 },
2730 "available_included_volume": {
2731 "id": "string",
2732 "reference": "string",
2733 "number": "string",
2734 "amount": {
2735 "quantity": "string",
2736 "currency": "AED"
2737 },
2738 "count": "string",
2739 "ratio": "string",
2740 "type": "NUMBER"
2741 },
2742 "period_volume": {
2743 "id": "string",
2744 "reference": "string",
2745 "number": "string",
2746 "amount": {
2747 "quantity": "string",
2748 "currency": "AED"
2749 },
2750 "count": "string",
2751 "ratio": "string",
2752 "type": "NUMBER"
2753 }
2754 },
2755 "wallet_balance_details": {
2756 "used_wallet_credits": {
2757 "quantity": "string",
2758 "credit_type_id": "string"
2759 },
2760 "left_wallet_credits": {
2761 "quantity": "string",
2762 "credit_type_id": "string"
2763 },
2764 "available_wallet_credits": {
2765 "quantity": "string",
2766 "credit_type_id": "string"
2767 }
2768 },
2769 "split_pricing": {
2770 "meter_properties": [
2771 {
2772 "id": "string",
2773 "reference": "string",
2774 "value": "string",
2775 "meter_property": {
2776 "object_type": "string",
2777 "id": "string",
2778 "reference": "string",
2779 "name": "string",
2780 "description": "string",
2781 "status": "DRAFT",
2782 "type": "NUMBER",
2783 "enum_values": [
2784 "string"
2785 ]
2786 }
2787 }
2788 ]
2789 },
2790 "meter_value_share_of_total": "string",
2791 "meter_value_share_of_processing_only_customer_total": "string"
2792 },
2793 "description": "string",
2794 "processing_only_customer_id": "string",
2795 "type": "USAGE_BASED_CONVERSION",
2796 "usage_based_conversion": {
2797 "conditions": {
2798 "name": "string",
2799 "expression": {
2800 "operator": "AND",
2801 "operands": [
2802 {
2803 "meter_property": {
2804 "id": "string",
2805 "reference": "string",
2806 "meter_property": {
2807 "object_type": "string",
2808 "id": "string",
2809 "reference": "string",
2810 "name": "string",
2811 "description": "string",
2812 "status": "DRAFT",
2813 "type": "NUMBER",
2814 "enum_values": [
2815 "string"
2816 ]
2817 },
2818 "value": "string",
2819 "values": [
2820 "string"
2821 ],
2822 "comparator": "EQUALS"
2823 },
2824 "expression": {}
2825 }
2826 ]
2827 },
2828 "meter_properties": [
2829 {
2830 "id": "string",
2831 "reference": "string",
2832 "meter_property": {
2833 "object_type": "string",
2834 "id": "string",
2835 "reference": "string",
2836 "name": "string",
2837 "description": "string",
2838 "status": "DRAFT",
2839 "type": "NUMBER",
2840 "enum_values": [
2841 "string"
2842 ]
2843 },
2844 "value": "string",
2845 "values": [
2846 "string"
2847 ],
2848 "comparator": "EQUALS"
2849 }
2850 ]
2851 }
2852 },
2853 "processing_only_customer_resource_id": "string"
2854 }
2855 ]
2856 }
2857 ],
2858 "billing_customer_id": "string"
2859 }
2860 ]
2861 }
2862 ],
2863 "tax_categories": [
2864 {
2865 "base_amount": {
2866 "quantity": "string",
2867 "currency": "AED"
2868 },
2869 "tax_amount": {
2870 "quantity": "string",
2871 "currency": "AED"
2872 },
2873 "total_amount": {
2874 "quantity": "string",
2875 "currency": "AED"
2876 },
2877 "category": "string",
2878 "local_amounts": {
2879 "base_amount": {
2880 "quantity": "string",
2881 "currency": "AED"
2882 },
2883 "tax_amount": {
2884 "quantity": "string",
2885 "currency": "AED"
2886 },
2887 "total_amount": {
2888 "quantity": "string",
2889 "currency": "AED"
2890 },
2891 "used_exchange_rate": {
2892 "currency": "string",
2893 "base_currency": "string",
2894 "rate_timestamp": "string",
2895 "rate": "string",
2896 "source": "string"
2897 },
2898 "display": true
2899 },
2900 "notes": [
2901 "string"
2902 ],
2903 "rates": [
2904 {
2905 "name": "string",
2906 "percentage": "string",
2907 "tax_amount": {
2908 "quantity": "string",
2909 "currency": "AED"
2910 }
2911 }
2912 ],
2913 "percentage": "string",
2914 "name": "string"
2915 }
2916 ],
2917 "tax_summary": {
2918 "base_amount": {
2919 "quantity": "string",
2920 "currency": "AED"
2921 },
2922 "tax_amount": {
2923 "quantity": "string",
2924 "currency": "AED"
2925 },
2926 "total_amount": {
2927 "quantity": "string",
2928 "currency": "AED"
2929 },
2930 "local_amounts": {
2931 "base_amount": {
2932 "quantity": "string",
2933 "currency": "AED"
2934 },
2935 "tax_amount": {
2936 "quantity": "string",
2937 "currency": "AED"
2938 },
2939 "total_amount": {
2940 "quantity": "string",
2941 "currency": "AED"
2942 },
2943 "used_exchange_rate": {
2944 "currency": "string",
2945 "base_currency": "string",
2946 "rate_timestamp": "string",
2947 "rate": "string",
2948 "source": "string"
2949 },
2950 "display": true
2951 },
2952 "notes": [
2953 "string"
2954 ],
2955 "country_code": "string"
2956 },
2957 "dunning_actions": [
2958 {
2959 "payment_acceptor_id": "string",
2960 "external_reference": "string",
2961 "status": "CANCEL_PENDING",
2962 "failure_reason": "string",
2963 "first_payment_id": "string"
2964 }
2965 ],
2966 "payment_acceptor_ids": [
2967 "string"
2968 ],
2969 "payment_actions": [
2970 {
2971 "payment_acceptor_id": "string",
2972 "payment_acceptor": {
2973 "object_type": "string",
2974 "id": "string",
2975 "billing_entity_id": "string",
2976 "customer_id": "string",
2977 "reference": "string",
2978 "name": "string",
2979 "description": "string",
2980 "type": "BANK_ACCOUNT",
2981 "bank_account": {
2982 "type": "IBAN",
2983 "iban": "string",
2984 "country": "string",
2985 "bic": "string",
2986 "bank_name": "string",
2987 "bank_address": {
2988 "line1": "string",
2989 "line2": "string",
2990 "city": "string",
2991 "postal_code": "string",
2992 "state": "string",
2993 "country": "AD"
2994 },
2995 "account_number_and_bic": {
2996 "account_number": "string",
2997 "bank_code": "string",
2998 "bic": "string"
2999 },
3000 "uk_local": {
3001 "account_number": "string",
3002 "sort_code": "string"
3003 },
3004 "us_local": {
3005 "account_number": "string",
3006 "account_type": "CHECKING",
3007 "bank_code": "string",
3008 "routing_number": "string"
3009 },
3010 "br_local": {
3011 "branch": "string",
3012 "account_number": "string",
3013 "bic": "string"
3014 },
3015 "ar_local": {
3016 "cbu": "string",
3017 "account_number": "string",
3018 "bic": "string"
3019 },
3020 "mx_local": {
3021 "clabe": "string",
3022 "account_number": "string",
3023 "bic": "string"
3024 },
3025 "account_number": "string",
3026 "bank_code": "string",
3027 "routing_number": "string",
3028 "account_type": "CHECKING"
3029 },
3030 "payment_gateway": {
3031 "integration_id": "string",
3032 "integration": {
3033 "object_type": "string",
3034 "id": "string",
3035 "reference": "string",
3036 "name": "string",
3037 "description": "string",
3038 "status": "DRAFT",
3039 "message": "string",
3040 "type": "PAYMENT_GATEWAY",
3041 "authentication": {
3042 "api_key": {
3043 "header": "string",
3044 "value": "string"
3045 },
3046 "client_credentials": {
3047 "client_id": "string",
3048 "client_secret": "string"
3049 },
3050 "username_password": {
3051 "username": "string",
3052 "password": "string"
3053 }
3054 },
3055 "payment_gateway": {
3056 "variant": "ADYEN",
3057 "adyen": {
3058 "company_account": "string",
3059 "environment": "LIVE",
3060 "live_prefix": "string",
3061 "merchant_accounts": [
3062 "string"
3063 ],
3064 "public_key": "string",
3065 "signing_secret": "string",
3066 "ownership": "PLATFORM",
3067 "system_ownership_details": {
3068 "account_holder_id": "string",
3069 "balance_account_id": "string",
3070 "legal_entity_id": "string"
3071 },
3072 "balance_platform_details": {
3073 "account": "string",
3074 "authentication": {
3075 "api_key": {
3076 "header": "string",
3077 "value": "string"
3078 },
3079 "client_credentials": {
3080 "client_id": "string",
3081 "client_secret": "string"
3082 },
3083 "username_password": {
3084 "username": "string",
3085 "password": "string"
3086 }
3087 }
3088 },
3089 "legal_entity_manager_details": {
3090 "authentication": {
3091 "api_key": {
3092 "header": "string",
3093 "value": "string"
3094 },
3095 "client_credentials": {
3096 "client_id": "string",
3097 "client_secret": "string"
3098 },
3099 "username_password": {
3100 "username": "string",
3101 "password": "string"
3102 }
3103 }
3104 },
3105 "enabled_payment_methods": [
3106 "string"
3107 ]
3108 },
3109 "stripe": {
3110 "public_key": "string",
3111 "signing_secret": "string"
3112 }
3113 },
3114 "e_invoicing": {
3115 "mandates": [
3116 {
3117 "name": "string",
3118 "country": "string",
3119 "mappings": [
3120 {
3121 "target": "string",
3122 "source": "string",
3123 "description": "string"
3124 }
3125 ],
3126 "condition_groups": [
3127 {
3128 "conditions": [
3129 {
3130 "field": "string",
3131 "comparator_type": "EQUALS",
3132 "value": "string"
3133 }
3134 ]
3135 }
3136 ],
3137 "include_pdf_in_einvoice": true,
3138 "supported_file_formats": [
3139 {
3140 "type": "string",
3141 "description": "string"
3142 }
3143 ]
3144 }
3145 ],
3146 "processor": "AVALARA"
3147 },
3148 "data_export": {
3149 "variant": "S3",
3150 "s3": {
3151 "bucket_name": "string",
3152 "bucket_path": "string",
3153 "bucket_region": "string"
3154 },
3155 "bigquery": {
3156 "project_id": "string",
3157 "dataset_id": "string",
3158 "dataset_location": "string",
3159 "gcs_bucket_name": "string",
3160 "gcs_hmac_key_access_id": "string",
3161 "gcs_hmac_key_secret": "string"
3162 },
3163 "gcs": {
3164 "bucket_region": "string",
3165 "bucket_name": "string",
3166 "bucket_path": "string",
3167 "flattening": true
3168 },
3169 "snowflake": {
3170 "host": "string",
3171 "role": "string",
3172 "warehouse": "string",
3173 "database": "string",
3174 "schema": "string"
3175 }
3176 },
3177 "tax_calculation": {
3178 "billing_entity_id": "string",
3179 "variant": "AVATAX",
3180 "ava_tax": {
3181 "company_code": "string"
3182 },
3183 "custom_tax_codes": [
3184 {
3185 "field": "INVOICE_COMMITMENT",
3186 "value": "string"
3187 }
3188 ],
3189 "enable_tax_filing": true
3190 },
3191 "linked_resources_configurations": [
3192 {
3193 "resource_type": "string",
3194 "link_details": [
3195 {
3196 "base_url": "string",
3197 "custom_field_reference": "string"
3198 }
3199 ]
3200 }
3201 ],
3202 "email_provider": {
3203 "variant": "SYSTEM",
3204 "mailgun": {
3205 "domain": "string",
3206 "region": "US",
3207 "plan": "string"
3208 },
3209 "delivery_window": {
3210 "type": "DAY",
3211 "value": 1
3212 },
3213 "use_localized_templates": true
3214 }
3215 },
3216 "store_payment_method": true,
3217 "auto_charge_payment_method": true,
3218 "collection_type": "LINK",
3219 "link": {
3220 "expiry_period": {
3221 "type": "DAY",
3222 "value": 1
3223 }
3224 },
3225 "adyen": {
3226 "auto_rescue": {
3227 "enabled": true,
3228 "period": {
3229 "type": "DAY",
3230 "value": 1
3231 }
3232 },
3233 "merchant_account": "string",
3234 "allowed_payment_methods": [
3235 "string"
3236 ]
3237 }
3238 },
3239 "custom_redirect": {
3240 "url": "string"
3241 },
3242 "status": "DRAFT"
3243 },
3244 "type": "string",
3245 "bank_account": {
3246 "legal_name": "string",
3247 "country_code": "string",
3248 "iban": "string",
3249 "bic": "string",
3250 "bank_name": "string",
3251 "account_number": "string",
3252 "bank_code": "string",
3253 "sort_code": "string",
3254 "reference": "string",
3255 "routing_number": "string",
3256 "account_type": "string",
3257 "type": "string",
3258 "bank_address": {
3259 "line1": "string",
3260 "line2": "string",
3261 "city": "string",
3262 "postal_code": "string",
3263 "state": "string",
3264 "country": "AD"
3265 },
3266 "branch": "string",
3267 "cbu": "string",
3268 "clabe": "string"
3269 },
3270 "payment_gateway": {
3271 "variant": "string",
3272 "collection_type": "string",
3273 "adyen": {
3274 "id": "string",
3275 "session_data": "string"
3276 },
3277 "stripe": {
3278 "payment_intent_id": "string",
3279 "client_secret": "string"
3280 }
3281 },
3282 "custom_redirect": {
3283 "url": "string"
3284 }
3285 }
3286 ],
3287 "pay_invoice_link": {
3288 "expiry_period": {
3289 "type": "DAY",
3290 "value": 1
3291 },
3292 "portal_url_id": "string",
3293 "url": "string"
3294 },
3295 "notes": [
3296 "string"
3297 ],
3298 "linked_invoices": [
3299 {
3300 "id": "string",
3301 "link_type": "string",
3302 "note": "string",
3303 "invoice_number": "string",
3304 "amount": {
3305 "quantity": "string",
3306 "currency": "AED"
3307 },
3308 "invoice_date": "string"
3309 }
3310 ],
3311 "custom_fields": [
3312 {
3313 "id": "string",
3314 "reference": "string",
3315 "value": "string",
3316 "values": [
3317 "string"
3318 ],
3319 "integration_details": {
3320 "id": "string",
3321 "reference": "string",
3322 "payment_gateway_variant": "ADYEN",
3323 "adyen": {
3324 "recurring_detail_reference": "string"
3325 },
3326 "stripe": {
3327 "payment_method_id": "string"
3328 }
3329 }
3330 }
3331 ],
3332 "other_custom_fields": [
3333 {
3334 "resource": {
3335 "type": "PLATFORM",
3336 "id": "string"
3337 },
3338 "id": "string",
3339 "reference": "string",
3340 "name": "string",
3341 "value": "string",
3342 "values": [
3343 "string"
3344 ]
3345 }
3346 ],
3347 "credit": {
3348 "original_invoice_info": {
3349 "id": "string",
3350 "invoice_number": "string"
3351 },
3352 "note": "string",
3353 "original_invoice_id": "string"
3354 },
3355 "e_invoices": [
3356 {
3357 "external_reference": "string",
3358 "applied_mandate": "string",
3359 "processor": "string",
3360 "status": {
3361 "status": "string",
3362 "timestamp": "string",
3363 "message": "string"
3364 },
3365 "status_history": [
3366 {
3367 "status": "string",
3368 "timestamp": "string",
3369 "message": "string"
3370 }
3371 ],
3372 "supported_file_formats": [
3373 {
3374 "type": "string",
3375 "description": "string"
3376 }
3377 ]
3378 }
3379 ],
3380 "used_exchange_rates": [
3381 {
3382 "currency": "string",
3383 "base_currency": "string",
3384 "rate_timestamp": "string",
3385 "rate": "string",
3386 "source": "string"
3387 }
3388 ],
3389 "processing_only_customers": [
3390 {
3391 "object_type": "string",
3392 "id": "string",
3393 "created_at": "string",
3394 "parent_customer_id": "string",
3395 "parent_customer_ids": [
3396 "string"
3397 ],
3398 "reference": "string",
3399 "status": "DRAFT",
3400 "timezone": "string",
3401 "type": "ORGANIZATION",
3402 "email": "string",
3403 "notification_preferences": [
3404 {
3405 "type": "INVOICE",
3406 "channels": [
3407 {
3408 "type": "EMAIL",
3409 "enabled": true
3410 }
3411 ]
3412 }
3413 ],
3414 "locale": "string",
3415 "individual": {
3416 "name": {
3417 "first_name": "string",
3418 "last_name": "string",
3419 "infix": "string"
3420 },
3421 "residential_address": {
3422 "line1": "string",
3423 "line2": "string",
3424 "city": "string",
3425 "postal_code": "string",
3426 "state": "string",
3427 "country": "AD"
3428 }
3429 },
3430 "organization": {
3431 "legal_name": "string",
3432 "tax_id": "string",
3433 "tax_ids": [
3434 {
3435 "id": "string",
3436 "type": "GENERIC_TAX_ID",
3437 "display_name": "string",
3438 "tax_id_validation_result": {
3439 "id": "string",
3440 "validation_date": "string",
3441 "source": "string",
3442 "valid": "VALID",
3443 "message": "string"
3444 }
3445 }
3446 ],
3447 "registration_number": "string",
3448 "tax_exempt": true,
3449 "tax_exempt_note": "string",
3450 "registered_address": {
3451 "line1": "string",
3452 "line2": "string",
3453 "city": "string",
3454 "postal_code": "string",
3455 "state": "string",
3456 "country": "AD"
3457 },
3458 "tax_registrations": [
3459 {
3460 "id": "string",
3461 "description": "string",
3462 "tax_id": "string",
3463 "tax_ids": [
3464 {
3465 "id": "string",
3466 "type": "GENERIC_TAX_ID",
3467 "display_name": "string",
3468 "tax_id_validation_result": {
3469 "id": "string",
3470 "validation_date": "string",
3471 "source": "string",
3472 "valid": "VALID",
3473 "message": "string"
3474 }
3475 }
3476 ],
3477 "registration_number": "string",
3478 "registered_address": {
3479 "line1": "string",
3480 "line2": "string",
3481 "city": "string",
3482 "postal_code": "string",
3483 "state": "string",
3484 "country": "AD"
3485 }
3486 }
3487 ]
3488 },
3489 "custom_fields": [
3490 {
3491 "id": "string",
3492 "reference": "string",
3493 "value": "string",
3494 "values": [
3495 "string"
3496 ],
3497 "integration_details": {
3498 "id": "string",
3499 "reference": "string",
3500 "payment_gateway_variant": "ADYEN",
3501 "adyen": {
3502 "recurring_detail_reference": "string"
3503 },
3504 "stripe": {
3505 "payment_method_id": "string"
3506 }
3507 }
3508 }
3509 ],
3510 "processing_only": true,
3511 "pricing_plan_subscription_selector": {
3512 "data": [
3513 {
3514 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
3515 "value": "string"
3516 }
3517 ],
3518 "rules": [
3519 {
3520 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
3521 "type": "EQUALS"
3522 }
3523 ],
3524 "filters": [
3525 {
3526 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
3527 "type": "EQUALS",
3528 "value": "string"
3529 }
3530 ],
3531 "fallback": "LATEST"
3532 },
3533 "linked_integrations": [
3534 {
3535 "id": "string",
3536 "link_details": [
3537 {
3538 "url": "string",
3539 "custom_field_name": "string"
3540 }
3541 ]
3542 }
3543 ],
3544 "roles": [
3545 "DEFAULT"
3546 ],
3547 "seller_details": {
3548 "default_billing_entity_id": "string"
3549 }
3550 }
3551 ],
3552 "meter_values": [
3553 {
3554 "object_type": "string",
3555 "id": "string",
3556 "reference": "string",
3557 "name": "string",
3558 "description": "string",
3559 "status": "DRAFT",
3560 "type": "NUMBER"
3561 }
3562 ],
3563 "credit_types": [
3564 {
3565 "object_type": "string",
3566 "id": "string",
3567 "reference": "string",
3568 "status": "DRAFT",
3569 "name": "string",
3570 "description": "string",
3571 "unit_name": {
3572 "singular": "string",
3573 "plural": "string"
3574 },
3575 "created_at": "string",
3576 "updated_at": "string"
3577 }
3578 ],
3579 "display_invoice_sub_lines_per_processing_only_customer": true,
3580 "forwarded_from_customers": [
3581 {
3582 "object_type": "string",
3583 "id": "string",
3584 "created_at": "string",
3585 "parent_customer_id": "string",
3586 "parent_customer_ids": [
3587 "string"
3588 ],
3589 "reference": "string",
3590 "status": "DRAFT",
3591 "timezone": "string",
3592 "type": "ORGANIZATION",
3593 "email": "string",
3594 "notification_preferences": [
3595 {
3596 "type": "INVOICE",
3597 "channels": [
3598 {
3599 "type": "EMAIL",
3600 "enabled": true
3601 }
3602 ]
3603 }
3604 ],
3605 "locale": "string",
3606 "individual": {
3607 "name": {
3608 "first_name": "string",
3609 "last_name": "string",
3610 "infix": "string"
3611 },
3612 "residential_address": {
3613 "line1": "string",
3614 "line2": "string",
3615 "city": "string",
3616 "postal_code": "string",
3617 "state": "string",
3618 "country": "AD"
3619 }
3620 },
3621 "organization": {
3622 "legal_name": "string",
3623 "tax_id": "string",
3624 "tax_ids": [
3625 {
3626 "id": "string",
3627 "type": "GENERIC_TAX_ID",
3628 "display_name": "string",
3629 "tax_id_validation_result": {
3630 "id": "string",
3631 "validation_date": "string",
3632 "source": "string",
3633 "valid": "VALID",
3634 "message": "string"
3635 }
3636 }
3637 ],
3638 "registration_number": "string",
3639 "tax_exempt": true,
3640 "tax_exempt_note": "string",
3641 "registered_address": {
3642 "line1": "string",
3643 "line2": "string",
3644 "city": "string",
3645 "postal_code": "string",
3646 "state": "string",
3647 "country": "AD"
3648 },
3649 "tax_registrations": [
3650 {
3651 "id": "string",
3652 "description": "string",
3653 "tax_id": "string",
3654 "tax_ids": [
3655 {
3656 "id": "string",
3657 "type": "GENERIC_TAX_ID",
3658 "display_name": "string",
3659 "tax_id_validation_result": {
3660 "id": "string",
3661 "validation_date": "string",
3662 "source": "string",
3663 "valid": "VALID",
3664 "message": "string"
3665 }
3666 }
3667 ],
3668 "registration_number": "string",
3669 "registered_address": {
3670 "line1": "string",
3671 "line2": "string",
3672 "city": "string",
3673 "postal_code": "string",
3674 "state": "string",
3675 "country": "AD"
3676 }
3677 }
3678 ]
3679 },
3680 "custom_fields": [
3681 {
3682 "id": "string",
3683 "reference": "string",
3684 "value": "string",
3685 "values": [
3686 "string"
3687 ],
3688 "integration_details": {
3689 "id": "string",
3690 "reference": "string",
3691 "payment_gateway_variant": "ADYEN",
3692 "adyen": {
3693 "recurring_detail_reference": "string"
3694 },
3695 "stripe": {
3696 "payment_method_id": "string"
3697 }
3698 }
3699 }
3700 ],
3701 "processing_only": true,
3702 "pricing_plan_subscription_selector": {
3703 "data": [
3704 {
3705 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
3706 "value": "string"
3707 }
3708 ],
3709 "rules": [
3710 {
3711 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
3712 "type": "EQUALS"
3713 }
3714 ],
3715 "filters": [
3716 {
3717 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
3718 "type": "EQUALS",
3719 "value": "string"
3720 }
3721 ],
3722 "fallback": "LATEST"
3723 },
3724 "linked_integrations": [
3725 {
3726 "id": "string",
3727 "link_details": [
3728 {
3729 "url": "string",
3730 "custom_field_name": "string"
3731 }
3732 ]
3733 }
3734 ],
3735 "roles": [
3736 "DEFAULT"
3737 ],
3738 "seller_details": {
3739 "default_billing_entity_id": "string"
3740 }
3741 }
3742 ],
3743 "validation_result": [
3744 {
3745 "status": "string",
3746 "details": "string"
3747 }
3748 ],
3749 "reprocess": {
3750 "to_be_reprocessed_at": "string",
3751 "reprocess_status": "string",
3752 "reprocess_id": "string"
3753 },
3754 "used_tax_registration": {
3755 "id": "string",
3756 "description": "string",
3757 "tax_id": "string",
3758 "tax_ids": [
3759 {
3760 "id": "string",
3761 "type": "GENERIC_TAX_ID",
3762 "display_name": "string",
3763 "tax_id_validation_result": {
3764 "id": "string",
3765 "validation_date": "string",
3766 "source": "string",
3767 "valid": "VALID",
3768 "message": "string"
3769 }
3770 }
3771 ],
3772 "registration_number": "string",
3773 "registered_address": {
3774 "line1": "string",
3775 "line2": "string",
3776 "city": "string",
3777 "postal_code": "string",
3778 "state": "string",
3779 "country": "AD"
3780 }
3781 },
3782 "footnote": "string",
3783 "approval_status": "PENDING_REVIEW",
3784 "updated_to_final_at": "string",
3785 "has_usage_based_pricing": true,
3786 "coupons": [
3787 {
3788 "coupon_id": "string",
3789 "coupon_name": "string"
3790 }
3791 ],
3792 "promotion_codes": [
3793 {
3794 "promotion_code_details": {
3795 "promotion_code_id": "string",
3796 "code": "string"
3797 },
3798 "coupon_id": "string"
3799 }
3800 ],
3801 "linked_integrations": [
3802 {
3803 "id": "string",
3804 "link_details": [
3805 {
3806 "url": "string",
3807 "custom_field_name": "string"
3808 }
3809 ]
3810 }
3811 ],
3812 "billing_type": "DEFAULT",
3813 "payment_status": "UNPAID",
3814 "paid": true,
3815 "auto_rescues": [
3816 {
3817 "payment_acceptor_id": "string",
3818 "external_reference": "string",
3819 "status": "CANCEL_PENDING",
3820 "failure_reason": "string",
3821 "first_payment_id": "string"
3822 }
3823 ],
3824 "linked_invoices_ids": [
3825 "string"
3826 ],
3827 "to_be_reprocessed": true,
3828 "to_be_reprocessed_at": "string"
3829 }
3830 ],
3831 "page": 1,
3832 "limit": 1,
3833 "links": {
3834 "first": "string",
3835 "previous": "string",
3836 "current": "string",
3837 "next": "string"
3838 },
3839 "total_number_of_pages": 1
3840}
Requires the INVOICE.VIEW permission.
Was this page helpful?
Previous

Create a one-off invoice or credit invoice

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

customer_idstringOptional
Filter based of customer ID
statuses[]list of stringsOptional

Filter invoices based on invoice status(es)

invoice_datestringOptional

Range filter for the start_at of the first schedule in the pricing plan subscription (ISO-8601).

paidstringOptional

Filter invoices based on whether they’re paid or not (true or false)

on_holdstringOptional

Filter invoices based on whether they’re on hold or not (true or false)

pricing_plan_subscription_idstringOptional
Filter invoices by the pricing plan subscription id
include_periodsbooleanOptional

Indicates whether the response should include period and group data (true or false)

include_linesbooleanOptional

Indicates whether the response should include invoice lines (true or false)

limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.

Response

OK
datalist of objects
pageinteger or null
limitinteger or null
linksobject
total_number_of_pagesinteger or nullDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error